GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/ppc-nbsd-nat.c File Reference
`#include "defs.h"`
`#include <sys/types.h>`
`#include <sys/ptrace.h>`
`#include <machine/reg.h>`
`#include <machine/frame.h>`
`#include <machine/pcb.h>`
`#include "gdbcore.h"`
`#include "inferior.h"`
`#include "regcache.h"`
`#include "ppc-tdep.h"`
`#include "ppc-nbsd-tdep.h"`
`#include "bsd-kvm.h"`
`#include "inf-ptrace.h"`

Go to the source code of this file.

## Functions
static int | getregs_supplies (struct gdbarch *gdbarch, int regnum)
static int | getfpregs_supplies (struct gdbarch *gdbarch, int regnum)
static void | ppcnbsd_fetch_inferior_registers (struct target_ops *ops, struct regcache *regcache, int regnum)
static void | ppcnbsd_store_inferior_registers (struct target_ops *ops, struct regcache *regcache, int regnum)
static int | ppcnbsd_supply_pcb (struct regcache *regcache, struct pcb *pcb)
void | _initialize_ppcnbsd_nat (void)

## Function Documentation

## ◆ _initialize_ppcnbsd_nat()

void _initialize_ppcnbsd_nat | ( | void |  | ) |

Definition at line 178 of file ppc-nbsd-nat.c.

References add_target(), bsd_kvm_add_target(), inf_ptrace_target(), ppcnbsd_fetch_inferior_registers(), ppcnbsd_store_inferior_registers(), ppcnbsd_supply_pcb(), target_ops::to_fetch_registers, and target_ops::to_store_registers.

## ◆ getfpregs_supplies()

static int getfpregs_supplies | ( | struct gdbarch * | gdbarch,
|  | int | regnum
| ) |  |
| static

Definition at line 58 of file ppc-nbsd-nat.c.

References gdb_assert, gdbarch_tdep(), ppc_floating_point_unit_p(), gdbarch_tdep::ppc_fp0_regnum, gdbarch_tdep::ppc_fpscr_regnum, ppc_num_fprs, and regnum.

Referenced by ppcnbsd_fetch_inferior_registers(), and ppcnbsd_store_inferior_registers().

## ◆ getregs_supplies()

static int getregs_supplies | ( | struct gdbarch * | gdbarch,
|  | int | regnum
| ) |  |
| static

Definition at line 42 of file ppc-nbsd-nat.c.

References gdbarch_pc_regnum(), gdbarch_tdep(), gdbarch_tdep::ppc_cr_regnum, gdbarch_tdep::ppc_ctr_regnum, gdbarch_tdep::ppc_gp0_regnum, gdbarch_tdep::ppc_lr_regnum, ppc_num_gprs, gdbarch_tdep::ppc_xer_regnum, and regnum.

Referenced by ppcnbsd_fetch_inferior_registers(), and ppcnbsd_store_inferior_registers().

## ◆ ppcnbsd_fetch_inferior_registers()

static void ppcnbsd_fetch_inferior_registers | ( | struct target_ops * | ops,
|  | struct regcache * | regcache,
|  | int | regnum
| ) |  |
| static

Definition at line 80 of file ppc-nbsd-nat.c.

References _, regcache::arch(), getfpregs_supplies(), getregs_supplies(), perror_with_name(), pid, ppc_supply_fpregset(), ppc_supply_gregset(), ppcnbsd_fpregset, ppcnbsd_gregset, ptid_get_pid(), ptrace(), PTRACE_TYPE_ARG3, regcache_get_ptid(), and regnum.

Referenced by _initialize_ppcnbsd_nat().

## ◆ ppcnbsd_store_inferior_registers()

static void ppcnbsd_store_inferior_registers | ( | struct target_ops * | ops,
|  | struct regcache * | regcache,
|  | int | regnum
| ) |  |
| static

Definition at line 110 of file ppc-nbsd-nat.c.

References _, regcache::arch(), getfpregs_supplies(), getregs_supplies(), perror_with_name(), pid, ppc_collect_fpregset(), ppc_collect_gregset(), ppcnbsd_fpregset, ppcnbsd_gregset, ptid_get_pid(), ptrace(), PTRACE_TYPE_ARG3, regcache_get_ptid(), and regnum.

Referenced by _initialize_ppcnbsd_nat().

## ◆ ppcnbsd_supply_pcb()

static int ppcnbsd_supply_pcb | ( | struct regcache * | regcache,
|  | struct pcb * | pcb
| ) |  |
| static

Definition at line 146 of file ppc-nbsd-nat.c.

References regcache::arch(), gdbarch_pc_regnum(), gdbarch_tdep(), gdbarch_tdep::ppc_cr_regnum, gdbarch_tdep::ppc_gp0_regnum, gdbarch_tdep::ppc_lr_regnum, read_memory(), and regcache_raw_supply().

Referenced by _initialize_ppcnbsd_nat().